/* MAIN APP general css
 *
 * */

* {
  box-sizing: border-box;
}

html,
body {
  color: #fff;
  font-family: 'Helvetica', 'Verdana', sans-serif;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  height: 100%;
  margin: 0;
  padding: 0;
  width: 100%;
}

html {
  overflow: hidden;
}

body {
  align-content: stretch;
  align-items: stretch;
  background: #ececec;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: flex-start;
}

a {
    color: #003E4F;
}

.map {
  margin: 0;
  width: 100%;
  font-family: sans-serif;
  position:absolute;
  top:0;
  bottom:0;
}

.locate {
  top: 5em;
  left: .5em;
}

.track {
  top: 8em;
  left: .5em;
}

.button-small {
  font-size: 80% !important;
}
.button-xlarge {
  font-size: 120% !important;
  font-weight: bold;
}
/* emulating ol buttons */
.button-ol {
    padding: 0px;
    width: 2.6em;
    line-height: 0.4;
    text-align:center;
    margin:1px;
    font-weight:bold;
}
.button-success,
.button-error,
.button-warning,
.button-secondary {
  color: white;
  border-radius: 4px;
  text-shadow: 0 1px 1px rgba(0, 0, 0, 0.2);
}

.button-success {
  background-color: rgba(159, 198, 81,.8);
  border: rgba(155, 192, 75,.8);
  color: #3f3f3f;
}

.button-secondary {
  background: rgba(0,60,136,.8);
  border: 1px solid rgba(0,57,128,.8);
}

.button-warning {
  background: rgba(223, 117, 20, .8);
  border: 1px solid rgba(220,112,18,.8);
}

/* The Close Button */
.close {
  color: #aaaaaa;
  float: right;
  font-size: 1.8rem;
  font-weight: bold;
  margin-top: -0.4rem;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

.ol-control button {
   background-color: #0a7a99;
}
.ol-unselectable {
   cursor: crosshair !important;
}

.geoinfo {
    padding:0.2rem;
    border-radius:0.1rem;
    position:fixed;
    top:0.1rem;
    right:0.1rem;
    background-color:white;
    opacity:0.85;
    z-index:0;
    overflow-y: auto;
    user-select:none;
}

.login_button {
    cursor: pointer;
    align-self: flex-end;
    color:lightskyblue;
    text-decoration:none;
    padding:0.2em;
}
.login_button:hover {
    transition: 100ms linear;
    background-color: rgba(90,90,90,0.5);
}

.welcome-div {
    z-index:1; 
    position: fixed; 
    top: 0; left: 0; 
    width: 100%; height: 100%; 
    background: rgba(0, 0, 0, 0.5); 
    display: flex; 
    justify-content: center; 
    align-items: center;  
}

.progress-bar {
  height: 0.2em;
  background-color: rgba(0,60,136,.5);
}

.main-div {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}
.photoContainer {
    position: relative;
    display: inline-block;
    margin: 1px;
}
.photoContainer img {
    max-height: 10rem;
}
.deleteButton {
    position: absolute;
    bottom: 5px;
    right: 0;
    background-color: red;
    color: white;
    border: none;
    cursor: pointer;
    padding: 5px;
    opacity:0.7;
}
/* geolocation.php */
#loader {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100vw;
    position: fixed;
    top: 0;
    left: 0;
    background-color: #0a7a99;
    flex-direction: column;
    padding:1rem;
}
#loadingIcon {
  animation: rotation 2s infinite linear;
}
@keyframes rotation {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(359deg);
  }
}
